Touchpad cursor loses precision after VGA monitor plugged in

Bug #1404332 reported by Dan Smith on 2014-12-19
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xorg (Ubuntu)
Medium
Unassigned

Bug Description

I just plug in the VGA cable. The external monitor is detected acc.to dmesg. A USB mouse works OK.
The problem lies somewhere with synaptic driver.
If I simply put down a finger on the touchpad and hold it still, the cursor still fidgets in random directions by a couple millimeter increments.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: xorg 1:7.7+1ubuntu8
ProcVersionSignature: Ubuntu 3.13.0-43.72-generic 3.13.11.11
Uname: Linux 3.13.0-43-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 2.14.1-0ubuntu3.6
Architecture: amd64
CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,staticswitcher,workarounds,scale,expo,ezoom,dbus]
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
Date: Fri Dec 19 19:12:28 2014
DistUpgraded: Fresh install
DistroCodename: trusty
DistroVariant: ubuntu
EcryptfsInUse: Yes
ExtraDebuggingInterest: Yes, including running git bisection searches
GraphicsCard:
 Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0106] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: ASUSTeK Computer Inc. Device [1043:14f7]
InstallationDate: Installed on 2014-10-02 (78 days ago)
InstallationMedia: Ubuntu 14.04.1 LTS "Trusty Tahr" - Release amd64 (20140722.2)
LightdmGreeterLog:
 ** (lightdm-gtk-greeter:1721): WARNING **: Failed to load user image: Failed to open file '/home/developer23/.face': No such file or directory

 ** (lightdm-gtk-greeter:1721): WARNING **: Failed to load user image: Failed to open file '/home/default2/.face': Permission denied
LightdmGreeterLogOld:
 ** (lightdm-gtk-greeter:7293): WARNING **: Failed to load user image: Failed to open file '/home/developer23/.face': No such file or directory

 (lightdm-gtk-greeter:7293): Gdk-WARNING **: lightdm-gtk-greeter: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
MachineType: ASUSTeK COMPUTER INC. X401A1
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-43-generic root=UUID=720d9c60-9be6-4623-a0c4-42a8f269bb44 ro persistent quiet splash vt.handoff=7
SourcePackage: xorg
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 12/03/2012
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: X401A1.212
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: X401A1
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK COMPUTER INC.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrX401A1.212:bd12/03/2012:svnASUSTeKCOMPUTERINC.:pnX401A1:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnX401A1:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
dmi.product.name: X401A1
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK COMPUTER INC.
version.compiz: compiz 1:0.9.11.2+14.04.20140714-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.52-1
version.libgl1-mesa-dri: libgl1-mesa-dri 10.1.3-0ubuntu0.2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.1.3-0ubuntu0.2
version.xserver-xorg-core: xserver-xorg-core 2:1.15.1-0ubuntu2.5
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.8.2-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.3.0-1ubuntu3.1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.910-0ubuntu1.3
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.10-1ubuntu2
xserver.bootTime: Sun Dec 14 19:25:35 2014
xserver.configfile: default
xserver.errors:
 ETPS/2 Elantech Touchpad: Read error 19
 ETPS/2 Elantech Touchpad: Read error 19
 ETPS/2 Elantech Touchpad: Read error 19
xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 5234
 vendor CMN
xserver.version: 2:1.15.1-0ubuntu2.5
---
.tmp.unity.support.test.0:

ApportVersion: 2.17.2-0ubuntu1
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
DistUpgraded: Fresh install
DistroCodename: vivid
DistroRelease: Ubuntu 15.04
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes, including running git bisection searches
GraphicsCard:
 Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0106] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: ASUSTeK Computer Inc. Device [1043:14f7]
InstallationDate: Installed on 2015-05-03 (0 days ago)
InstallationMedia: Ubuntu 15.04 "Vivid Vervet" - Release amd64 (20150422)
MachineType: ASUSTeK COMPUTER INC. X401A1
Package: xorg 1:7.7+7ubuntu4
PackageArchitecture: amd64
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.19.0-15-generic.efi.signed root=UUID=51bcfec6-e5a2-48f1-a5b0-54618d6d47e4 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.19.0-15.15-generic 3.19.3
Tags: vivid ubuntu compiz-0.9
UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev'
Uname: Linux 3.19.0-15-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 12/03/2012
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: X401A1.212
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: X401A1
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK COMPUTER INC.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrX401A1.212:bd12/03/2012:svnASUSTeKCOMPUTERINC.:pnX401A1:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnX401A1:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
dmi.product.name: X401A1
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK COMPUTER INC.
version.compiz: compiz 1:0.9.12.1+15.04.20150410.1-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.60-2
version.libgl1-mesa-dri: libgl1-mesa-dri 10.5.2-0ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.5.2-0ubuntu1
version.xserver-xorg-core: xserver-xorg-core 2:1.17.1-0ubuntu3
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.9.0-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.5.0-1ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917-1~exp1ubuntu2build1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.11-1ubuntu2build1
xserver.bootTime: Sun May 3 21:17:15 2015
xserver.configfile: default
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 5234
 vendor CMN
xserver.version: 2:1.17.1-0ubuntu3

Dan Smith (dansmith-r) wrote :

Dan Smith, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal as it will automatically gather and attach updated debug information to this report:

apport-collect -p xorg 1404332

Please ensure you have xdiagnose installed, and that you click the Yes button for attaching additional debugging information.

As well, given the information from the prior release is already available, testing a release prior to the development one would not be helpful.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

tags: added: latest-bios-212
Changed in xorg (Ubuntu):
importance: Undecided → Medium
status: New → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for xorg (Ubuntu) because there has been no activity for 60 days.]

Changed in xorg (Ubuntu):
status: Incomplete → Expired

apport information

tags: added: apport-collected vivid
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Dan Smith (dansmith-r) wrote :

Oops, why does apport add each file as a separate comment? Anyways, this last report happened with VGA monitor plugged in and the same behaviour exhibited as in the OP.

Dan Smith, what is the VGA monitor manufacturer and model?

Dan Smith (dansmith-r) wrote :

syslog shows colord: Device added: xrandr-Fujitsu Siemens Computers GmbH-C17-3-YEAW191036
Physical markings show it is Fujitsu Siemens scaleoview c17-3 s26361-k941-v200

Dan Smith, could you please test the latest upstream kernel available from the very top line at the top of the page (the release names are irrelevant for testing, and please do not test the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue.

If the test did not allow you to test to the issue (ex. you couldn't boot into the OS) please make a comment in your report about this, and continue to test the next most recent kernel version until you can test to the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags by clicking on the yellow circle with a black pencil icon, next to the word Tags, located at the bottom of the report description:
kernel-fixed-upstream
kernel-fixed-upstream-X.Y-rcZ

Where XY and Z are numbers corresponding to the kernel version.

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-X.Y-rcZ

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results.

Dan Smith (dansmith-r) wrote :

I tested with http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.1-rc2-vivid/
and the issue persists.
Added tags kernel-bug-exists-upstream kernel-bug-exists-upstream-4.1-rc2

tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-4.1-rc2

Dan Smith, the issue you are reporting is an upstream one. Could you please report this problem to the appropriate mailing list (linux-input) by following the instructions verbatim at https://wiki.ubuntu.com/Bugs/Upstream/kernel ?

Please provide a direct URL to your e-mail to the mailing list once you have made it so that it may be tracked via http://vger.kernel.org/vger-lists.html . It can take a day for the new e-mail to show up in the respective archive.

Thank you for your understanding.

Changed in xorg (Ubuntu):
status: Expired → Triaged
tags: removed: ubuntu vivid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers